.header {
  padding: 0 30px;

  .header-nav {
    display: flex;
    padding: 23px 0;
    justify-content: flex-end;

    .nav-burger-menu {
      display: flex;
      align-items: center;
      justify-content: center;
      text-align: center;
      right: 10px;
      top: 10px;
      width: 44px;
      height: 37px;
      cursor: pointer;
      background-color: black;

      &-icon,
      &-icon:before,
      &-icon:after {
        width: 17px;
        position: relative;
        height: 2px;
        background: rgb(255, 255, 255);
        display: block;
        transition: 0.3s;
        border-radius: 5px;
      }

      &-icon:before {
        content: "";
        position: absolute;
        top: -6px;
        transition: top 300ms 300ms,
          transform 300ms cubic-bezier(0.23, 1, 0.32, 1);
      }

      &-icon:after {
        content: "";
        bottom: -6px;
        transition: bottom 300ms 300ms,
          transform 300ms cubic-bezier(0.23, 1, 0.32, 1);
      }
      &-icon.active:before {
        content: "";
        top: 0px;
        transform: rotate(45deg);
        transition: top 300ms,
          transform 300ms 300ms cubic-bezier(0.68, -0.55, 0.265, 1.55);
      }
      &-icon.active:after {
        content: "";
        bottom: 0;
        transform: rotate(-45deg);
        transition: bottom 300ms,
          transform 300ms 300ms cubic-bezier(0.68, -0.55, 0.265, 1.55);
      }
      &-icon.active {
        background: rgba(255, 255, 255, 0);
      }
    }
  }

  .nav-menu-list {
    min-width: 180px;
    background: $menu-bg-color;
    color: $basic-text-color;
    text-transform: uppercase;
    position: fixed;
    top: 60px;
    right: -320px;
    transition: right 500ms cubic-bezier(0.68, -0.55, 0.265, 1.55);

    &.animate {
      right: 30px;
    }

    .nav-menu-item {
      .nav-menu-link {
        display: flex;
        padding: 5px 14px;
        line-height: 1.83rem;
        color: $basic-text-color;
        @include animate-text-color;
      }

      .highlight-text {
        color: #57a4a4;
      }

      &:hover,
      &:focus {
        background-color: #e5e5e5;
      }
    }
  }

  .header-background-conteiner {
    background: url(../img/background/header-bg.jpg);
    height: calc((100vw - 60px) / 2.14);
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
  }
}

@media screen and (min-width: $tablet-width) {
  .header {
    padding: $padding-cont-size-tab;

    .header-nav {
      justify-content: center;
      padding: 42px 0;

      .nav-burger-menu {
        display: none;
      }

      .nav-menu-list {
        position: relative;
        top: 0;
        left: 0;
        display: flex;
        background-color: #fff;
        gap: 68px;

        .nav-menu-item {
          .nav-menu-link {
            display: inline;
            padding: 0;

            &:hover,
            &:focus {
              color: $hover-text-color;
            }
          }

          &:hover,
          &:focus {
            background-color: #fff;
            transform: scale(1.1);
          }
        }
      }
    }
  }
}

@media screen and (min-width: $desktop-width) {
  .header {
    padding: $padding-cont-size-desk;
  }
}
